set(binary_res).
set(prolog_style_variables).

% este es un ejemplo mejor sobre el uso de sos

list(usable).

man(socrates).
-man(X) | mortal(X).

end_of_list.

list(sos).

-mortal(socrates).

end_of_list.

